NX Open C++ Reference Guide
|
Represents a GeometricUtilities::EndHoleData
Created in NX5.0.2.
More...
Public Types | |
enum | FormOptions { FormOptionsScrewClearance, FormOptionsThreaded, FormOptionsThrough } |
Represents hole form options. More... | |
enum | HoleDepthLimitOptions { HoleDepthLimitOptionsValue, HoleDepthLimitOptionsUntilSelected, HoleDepthLimitOptionsUntilNext, HoleDepthLimitOptionsThroughBody } |
Represents hole depth limit options for threaded hole in end plate of hole series. More... | |
enum | ThreadLengthOptions { ThreadLengthOptionsDiameterx1, ThreadLengthOptionsDiameterx15, ThreadLengthOptionsDiameterx20, ThreadLengthOptionsDiameterx25, ThreadLengthOptionsDiameterx30, ThreadLengthOptionsStandard, ThreadLengthOptionsCustom, ThreadLengthOptionsFull } |
Represents thread length options. More... | |
enum | ThreadRotationOptions { ThreadRotationOptionsRight, ThreadRotationOptionsLeft } |
Represents thread rotation options. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::BooleanOperation * | BooleanOperation () |
Returns the boolean operation Created in NX5.0.2. | |
NXString | FitOption () |
Returns the fit option Created in NX5.0.2. | |
NXOpen::GeometricUtilities::EndHoleData::FormOptions | FormOption () |
Returns the form option Created in NX5.0.2. | |
NXOpen::Expression * | HoleDepth () |
Returns the hole depth Created in NX5.0.2. | |
NXOpen::GeometricUtilities::EndHoleData::HoleDepthLimitOptions | HoleDepthLimitOption () |
Returns the hole depth limit Created in NX5.0.2. | |
NXOpen::Expression * | HoleDiameter () |
Returns the hole diameter Created in NX5.0.2. | |
bool | MatchDimOfStartHole () |
Returns the match dim of start hole Created in NX5.0.2. | |
NXString | RadialEngageOption () |
Returns the radial engage option Created in NX5.0.2. | |
bool | ReliefChamferEnabled () |
Returns the threaded relief chamfer enabled - this is applicable for threaded hole type Created in NX8.0.0. | |
NXOpen::Expression * | ScrewClearanceEndChamferAngle () |
Returns the screw clearance end chamfer angle Created in NX5.0.2. | |
bool | ScrewClearanceEndChamferEnabled () |
Returns the screw clearance end chamfer enabled Created in NX5.0.2. | |
NXOpen::Expression * | ScrewClearanceEndChamferOffset () |
Returns the screw clearance end chamfer offset Created in NX5.0.2. | |
NXOpen::Expression * | ScrewClearanceStartChamferAngle () |
Returns the screw clearance start chamfer angle Created in NX5.0.2. | |
bool | ScrewClearanceStartChamferEnabled () |
Returns the screw clearance start chamfer enabled Created in NX5.0.2. | |
NXOpen::Expression * | ScrewClearanceStartChamferOffset () |
Returns the screw clearance start chamfer offset Created in NX5.0.2. | |
void | SetFitOption (const NXString &fitOption) |
Sets the fit option Created in NX5.0.2. | |
void | SetFitOption (const char *fitOption) |
Sets the fit option Created in NX5.0.2. | |
void | SetFormOption (NXOpen::GeometricUtilities::EndHoleData::FormOptions formOption) |
Sets the form option Created in NX5.0.2. | |
void | SetHoleDepthLimitOption (NXOpen::GeometricUtilities::EndHoleData::HoleDepthLimitOptions holeDepthLimitOption) |
Sets the hole depth limit Created in NX5.0.2. | |
void | SetMatchDimOfStartHole (bool matchDimOfStartHole) |
Sets the match dim of start hole Created in NX5.0.2. | |
void | SetRadialEngageOption (const NXString &radialEngageOption) |
Sets the radial engage option Created in NX5.0.2. | |
void | SetRadialEngageOption (const char *radialEngageOption) |
Sets the radial engage option Created in NX5.0.2. | |
void | SetReliefChamferEnabled (bool reliefChamferEnabled) |
Sets the threaded relief chamfer enabled - this is applicable for threaded hole type Created in NX8.0.0. | |
void | SetScrewClearanceEndChamferEnabled (bool screwClearanceEndChamferEnabled) |
Sets the screw clearance end chamfer enabled Created in NX5.0.2. | |
void | SetScrewClearanceStartChamferEnabled (bool screwClearenceStartChamferEnabled) |
Sets the screw clearance start chamfer enabled Created in NX5.0.2. | |
void | SetThreadedEndChamferEnabled (bool threadedEndChamferEnabled) |
Sets the threaded end chamfer enabled Created in NX5.0.2. | |
void | SetThreadedReliefEnabled (bool threadedReliefEnabled) |
Sets the threaded relief enabled - this is applicable for threaded hole type Created in NX8.0.0. | |
void | SetThreadedStartChamferEnabled (bool threadedStartChamferEnabled) |
Sets the threaded start chamfer enabled Created in NX5.0.2. | |
void | SetThreadLengthOption (NXOpen::GeometricUtilities::EndHoleData::ThreadLengthOptions threadLengthOption) |
Sets the thread length option Created in NX5.0.2. | |
void | SetThreadRotation (NXOpen::GeometricUtilities::EndHoleData::ThreadRotationOptions threadRotation) |
Sets the thread rotation Created in NX5.0.2. | |
void | SetThreadSize (const NXString &threadSize) |
Sets the thread size Created in NX5.0.2. | |
void | SetThreadSize (const char *threadSize) |
Sets the thread size Created in NX5.0.2. | |
NXOpen::Expression * | TapDrillDiameter () |
Returns the tap drill diameter Created in NX5.0.2. | |
NXOpen::Expression * | ThreadDepth () |
Returns the thread depth Created in NX5.0.2. | |
NXOpen::Expression * | ThreadedEndChamferAngle () |
Returns the threaded end chamfer angle Created in NX5.0.2. | |
NXOpen::Expression * | ThreadedEndChamferDiameter () |
Returns the threaded end chamfer offset Created in NX5.0.2. | |
bool | ThreadedEndChamferEnabled () |
Returns the threaded end chamfer enabled Created in NX5.0.2. | |
NXOpen::Expression * | ThreadedReliefAngle () |
Returns the relief angle - this is applicable for threaded hole type Created in NX8.0.0. | |
NXOpen::Expression * | ThreadedReliefChamferAngle () |
Returns the threaded relief chamfer angle - this is applicable for threaded hole type Created in NX8.0.0. | |
NXOpen::Expression * | ThreadedReliefChamferOffset () |
Returns the threaded relief chamfer offset - this is applicable for threaded hole type Created in NX8.0.0. | |
NXOpen::Expression * | ThreadedReliefDepth () |
Returns the threaded relief depth - this is applicable for threaded hole type Created in NX8.0.0. | |
NXOpen::Expression * | ThreadedReliefDiameter () |
Returns the relief diameter - this is applicable for threaded hole type Created in NX8.0.0. | |
bool | ThreadedReliefEnabled () |
Returns the threaded relief enabled - this is applicable for threaded hole type Created in NX8.0.0. | |
NXOpen::Expression * | ThreadedStartChamferAngle () |
Returns the threaded start chamfer angle Created in NX5.0.2. | |
NXOpen::Expression * | ThreadedStartChamferDiameter () |
Returns the threaded start chamfer offset Created in NX5.0.2. | |
bool | ThreadedStartChamferEnabled () |
Returns the threaded start chamfer enabled Created in NX5.0.2. | |
NXOpen::GeometricUtilities::EndHoleData::ThreadLengthOptions | ThreadLengthOption () |
Returns the thread length option Created in NX5.0.2. | |
NXOpen::GeometricUtilities::EndHoleData::ThreadRotationOptions | ThreadRotation () |
Returns the thread rotation Created in NX5.0.2. | |
NXString | ThreadSize () |
Returns the thread size Created in NX5.0.2. | |
NXOpen::Expression * | TipAngle () |
Returns the tip angle Created in NX5.0.2. | |
NXOpen::SelectFace * | UntilSelectedTarget () |
Returns the until selected target - this is applicable for general hole and threaded hole type Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::EndHoleData
Created in NX5.0.2.
Represents hole depth limit options for threaded hole in end plate of hole series.
Represents thread length options.
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::GeometricUtilities::EndHoleData::BooleanOperation | ( | ) |
Returns the boolean operation
Created in NX5.0.2.
License requirements : None
NXString NXOpen::GeometricUtilities::EndHoleData::FitOption | ( | ) |
Returns the fit option
Created in NX5.0.2.
License requirements : None
NXOpen::GeometricUtilities::EndHoleData::FormOptions NXOpen::GeometricUtilities::EndHoleData::FormOption | ( | ) |
Returns the form option
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::HoleDepth | ( | ) |
Returns the hole depth
Created in NX5.0.2.
License requirements : None
NXOpen::GeometricUtilities::EndHoleData::HoleDepthLimitOptions NXOpen::GeometricUtilities::EndHoleData::HoleDepthLimitOption | ( | ) |
Returns the hole depth limit
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::HoleDiameter | ( | ) |
Returns the hole diameter
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::EndHoleData::MatchDimOfStartHole | ( | ) |
Returns the match dim of start hole
Created in NX5.0.2.
License requirements : None
NXString NXOpen::GeometricUtilities::EndHoleData::RadialEngageOption | ( | ) |
Returns the radial engage option
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::EndHoleData::ReliefChamferEnabled | ( | ) |
Returns the threaded relief chamfer enabled - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ScrewClearanceEndChamferAngle | ( | ) |
Returns the screw clearance end chamfer angle
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::EndHoleData::ScrewClearanceEndChamferEnabled | ( | ) |
Returns the screw clearance end chamfer enabled
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ScrewClearanceEndChamferOffset | ( | ) |
Returns the screw clearance end chamfer offset
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ScrewClearanceStartChamferAngle | ( | ) |
Returns the screw clearance start chamfer angle
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::EndHoleData::ScrewClearanceStartChamferEnabled | ( | ) |
Returns the screw clearance start chamfer enabled
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ScrewClearanceStartChamferOffset | ( | ) |
Returns the screw clearance start chamfer offset
Created in NX5.0.2.
License requirements : None
void NXOpen::GeometricUtilities::EndHoleData::SetFitOption | ( | const NXString & | fitOption | ) |
Sets the fit option
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
fitOption | fitoption |
void NXOpen::GeometricUtilities::EndHoleData::SetFitOption | ( | const char * | fitOption | ) |
Sets the fit option
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
fitOption | fitoption |
void NXOpen::GeometricUtilities::EndHoleData::SetFormOption | ( | NXOpen::GeometricUtilities::EndHoleData::FormOptions | formOption | ) |
Sets the form option
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
formOption | formoption |
void NXOpen::GeometricUtilities::EndHoleData::SetHoleDepthLimitOption | ( | NXOpen::GeometricUtilities::EndHoleData::HoleDepthLimitOptions | holeDepthLimitOption | ) |
Sets the hole depth limit
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
holeDepthLimitOption | holedepthlimitoption |
void NXOpen::GeometricUtilities::EndHoleData::SetMatchDimOfStartHole | ( | bool | matchDimOfStartHole | ) |
Sets the match dim of start hole
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
matchDimOfStartHole | matchdimofstarthole |
void NXOpen::GeometricUtilities::EndHoleData::SetRadialEngageOption | ( | const NXString & | radialEngageOption | ) |
Sets the radial engage option
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
radialEngageOption | radialengageoption |
void NXOpen::GeometricUtilities::EndHoleData::SetRadialEngageOption | ( | const char * | radialEngageOption | ) |
Sets the radial engage option
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
radialEngageOption | radialengageoption |
void NXOpen::GeometricUtilities::EndHoleData::SetReliefChamferEnabled | ( | bool | reliefChamferEnabled | ) |
Sets the threaded relief chamfer enabled - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reliefChamferEnabled | reliefchamferenabled |
void NXOpen::GeometricUtilities::EndHoleData::SetScrewClearanceEndChamferEnabled | ( | bool | screwClearanceEndChamferEnabled | ) |
Sets the screw clearance end chamfer enabled
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
screwClearanceEndChamferEnabled | screwclearanceendchamferenabled |
void NXOpen::GeometricUtilities::EndHoleData::SetScrewClearanceStartChamferEnabled | ( | bool | screwClearenceStartChamferEnabled | ) |
Sets the screw clearance start chamfer enabled
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
screwClearenceStartChamferEnabled | screwclearencestartchamferenabled |
void NXOpen::GeometricUtilities::EndHoleData::SetThreadedEndChamferEnabled | ( | bool | threadedEndChamferEnabled | ) |
Sets the threaded end chamfer enabled
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
threadedEndChamferEnabled | threadedendchamferenabled |
void NXOpen::GeometricUtilities::EndHoleData::SetThreadedReliefEnabled | ( | bool | threadedReliefEnabled | ) |
Sets the threaded relief enabled - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
threadedReliefEnabled | threadedreliefenabled |
void NXOpen::GeometricUtilities::EndHoleData::SetThreadedStartChamferEnabled | ( | bool | threadedStartChamferEnabled | ) |
Sets the threaded start chamfer enabled
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
threadedStartChamferEnabled | threadedstartchamferenabled |
void NXOpen::GeometricUtilities::EndHoleData::SetThreadLengthOption | ( | NXOpen::GeometricUtilities::EndHoleData::ThreadLengthOptions | threadLengthOption | ) |
Sets the thread length option
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
threadLengthOption | threadlengthoption |
void NXOpen::GeometricUtilities::EndHoleData::SetThreadRotation | ( | NXOpen::GeometricUtilities::EndHoleData::ThreadRotationOptions | threadRotation | ) |
Sets the thread rotation
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
threadRotation | threadrotation |
void NXOpen::GeometricUtilities::EndHoleData::SetThreadSize | ( | const NXString & | threadSize | ) |
Sets the thread size
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
threadSize | threadsize |
void NXOpen::GeometricUtilities::EndHoleData::SetThreadSize | ( | const char * | threadSize | ) |
Sets the thread size
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
threadSize | threadsize |
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::TapDrillDiameter | ( | ) |
Returns the tap drill diameter
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadDepth | ( | ) |
Returns the thread depth
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedEndChamferAngle | ( | ) |
Returns the threaded end chamfer angle
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedEndChamferDiameter | ( | ) |
Returns the threaded end chamfer offset
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::EndHoleData::ThreadedEndChamferEnabled | ( | ) |
Returns the threaded end chamfer enabled
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedReliefAngle | ( | ) |
Returns the relief angle - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedReliefChamferAngle | ( | ) |
Returns the threaded relief chamfer angle - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedReliefChamferOffset | ( | ) |
Returns the threaded relief chamfer offset - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedReliefDepth | ( | ) |
Returns the threaded relief depth - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedReliefDiameter | ( | ) |
Returns the relief diameter - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : None
bool NXOpen::GeometricUtilities::EndHoleData::ThreadedReliefEnabled | ( | ) |
Returns the threaded relief enabled - this is applicable for threaded hole type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedStartChamferAngle | ( | ) |
Returns the threaded start chamfer angle
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::ThreadedStartChamferDiameter | ( | ) |
Returns the threaded start chamfer offset
Created in NX5.0.2.
License requirements : None
bool NXOpen::GeometricUtilities::EndHoleData::ThreadedStartChamferEnabled | ( | ) |
Returns the threaded start chamfer enabled
Created in NX5.0.2.
License requirements : None
NXOpen::GeometricUtilities::EndHoleData::ThreadLengthOptions NXOpen::GeometricUtilities::EndHoleData::ThreadLengthOption | ( | ) |
Returns the thread length option
Created in NX5.0.2.
License requirements : None
NXOpen::GeometricUtilities::EndHoleData::ThreadRotationOptions NXOpen::GeometricUtilities::EndHoleData::ThreadRotation | ( | ) |
Returns the thread rotation
Created in NX5.0.2.
License requirements : None
NXString NXOpen::GeometricUtilities::EndHoleData::ThreadSize | ( | ) |
Returns the thread size
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::EndHoleData::TipAngle | ( | ) |
Returns the tip angle
Created in NX5.0.2.
License requirements : None
NXOpen::SelectFace* NXOpen::GeometricUtilities::EndHoleData::UntilSelectedTarget | ( | ) |
Returns the until selected target - this is applicable for general hole and threaded hole type
Created in NX6.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.